View Single Post
Old 05-11-10, 03:09 AM   #1
chicky462
Registered User
 
Join Date: May 2010
Posts: 2
Default "Buffer overrun" with Call of Duty 1 United Offensive on Ubuntu Lucid with 195.36.xx

Hi,

since I installed a fresh Ubuntu Lucid (10.04), I'm not able to run Call of Duty 1 United Offensive any longer. When I start the game, the following error message appears:

----------------------------------------------------------------------
Microsoft Visual C++ Runtime Library

Buffer Overrun detected!

Program: C:\Programme\Call of Duty\CoDUOMP.exe

A buffer overrun has been detected which has corrupted the program's internal state. The program cannot safely continue and must now be terminated.
-----------------------------------------------------------------------

I've got a Gainward Geforce 8400 GS and I tried both the 195.36.15 from the official Ubuntu repositories (nvidia-current) and the 195.36.24 from the Xswat ppa. The nvidia bugreport is attached.

With the previous Ubuntu release Karmic and the 185.xx drivers, everything worked fine. Thus, I assume that the 195.36.xx drivers are buggy. Unfortunately, I didn't succeed in downgrading to the 185.xx or 190.xx drivers under Ubuntu Lucid, neither with repos nor with the drivers from the Nvidia homepage.

Does somebody know how to downgrade the Nvidia drivers or how to otherwise solve the buffer overrun problem?

Thanks very much in advance.

Thorsten
Attached Files
File Type: gz nvidia-bug-report.log.gz (69.5 KB, 192 views)
chicky462 is offline   Reply With Quote